Bug 1465169 - [abrt] fpaste: fpaste:75:confirm:UnboundLocalError: local variable 'mytty' referenced before assignment
[abrt] fpaste: fpaste:75:confirm:UnboundLocalError: local variable 'mytty' re...
Status: NEW
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9dcfc3a4a4b7df61ca1b5bff6bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 17:22 EDT by bitchecker
Modified: 2017-06-26 17:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (913 bytes, text/plain)
2017-06-26 17:22 EDT, bitchecker
no flags Details
File: environ (3.17 KB, text/plain)
2017-06-26 17:22 EDT, bitchecker
no flags Details

  None (edit)
Description bitchecker 2017-06-26 17:22:39 EDT
Version-Release number of selected component:
fpaste-0.3.8.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        python3 /usr/bin/fpaste --private=yes --confirm -x 1800
executable:     /usr/bin/fpaste
kernel:         4.10.15-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
fpaste:75:confirm:UnboundLocalError: local variable 'mytty' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/fpaste", line 65, in confirm
    ans = input(prompt)
EOFError: EOF when reading a line

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/fpaste", line 69, in confirm
    mytty = os.ttyname(sys.stdout.fileno())
OSError: [Errno 25] Inappropriate ioctl for device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/fpaste", line 907, in <module>
    main()
  File "/usr/bin/fpaste", line 851, in main
    if not confirm("OK to send?"):
  File "/usr/bin/fpaste", line 75, in confirm
    mytty,
UnboundLocalError: local variable 'mytty' referenced before assignment

Local variables in innermost frame:
prompt: 'OK to send? [y/N]: '
Comment 1 bitchecker 2017-06-26 17:22:45 EDT
Created attachment 1292064 [details]
File: backtrace
Comment 2 bitchecker 2017-06-26 17:22:47 EDT
Created attachment 1292065 [details]
File: environ

Note You need to log in before you can comment on or make changes to this bug.